Bug 178434 - [maintainer update] update graphics/converseen to 0.6.2
[maintainer update] update graphics/converseen to 0.6.2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Guido Falsi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 22:50 UTC by fernando.apesteguia
Modified: 2013-05-10 23:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.64 KB, patch)
2013-05-08 22:50 UTC, fernando.apesteguia
no flags Details | Diff
converseen.diff (2.04 KB, patch)
2013-05-10 16:06 UTC, Guido Falsi
no flags Details | Diff
converseen.diff (2.04 KB, patch)
2013-05-10 16:06 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fernando.apesteguia 2013-05-08 22:50:00 UTC
Update graphics/converseen to 0.6.2

Fix: Apply the attached patch.

redports' logs:

https://redports.org//~fernape/20130508170700-56941-118642/converseen-0.6.2.log
https://redports.org//~fernape/20130508170700-56941-118643/converseen-0.6.2.log


NOTE: This patch invalidates the following to-be-committed PRs:

ports/178407 (update to 0.6.1)
ports/177892 (update to 0.6)

The upstream project has been very active lately.

Patch attached with submission follows:
Comment 1 Guido Falsi freebsd_committer 2013-05-10 15:34:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 Guido Falsi freebsd_committer 2013-05-10 16:06:34 UTC
Hi,

I have tweo small changes I'd like you to approve:

- Use DATADIR in plist
- Remove share/applications directory if empty

Patch attached.

Thanks in advance.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 3 Guido Falsi freebsd_committer 2013-05-10 16:06:42 UTC
Hi,

I have two small changes I'd like you to approve:

- Use DATADIR in plist
- Remove share/applications directory if empty

Patch attached.

Thanks in advance.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 4 fernando.apesteguia 2013-05-10 19:41:10 UTC
On Fri, May 10, 2013 at 5:06 PM, Guido Falsi <madpilot@freebsd.org> wrote:
> Hi,
>
> I have two small changes I'd like you to approve:
>
>
> - Use DATADIR in plist
> - Remove share/applications directory if empty
>
> Patch attached.
>
> Thanks in advance.

They look fine. Tested in redports and my local system:

https://redports.org/~fernape/20130510172400-32844-118898/converseen-0.6.2.log
https://redports.org/~fernape/20130510172400-32844-118899/converseen-0.6.2.log

Thanks for the changes!

>
> --
> Guido Falsi <madpilot@FreeBSD.org>
Comment 5 dfilter freebsd_committer 2013-05-10 23:32:37 UTC
Author: madpilot
Date: Fri May 10 22:32:22 2013
New Revision: 317844
URL: http://svnweb.freebsd.org/changeset/ports/317844

Log:
  - Update to 0.6.2
  - Use DATADIR macro
  
  PR:		ports/178434
  Submitted by:	Fernando <fernando.apesteguia@gmail.com> (maintainer)

Modified:
  head/graphics/converseen/Makefile
  head/graphics/converseen/distinfo
  head/graphics/converseen/pkg-plist

Modified: head/graphics/converseen/Makefile
==============================================================================
--- head/graphics/converseen/Makefile	Fri May 10 20:54:39 2013	(r317843)
+++ head/graphics/converseen/Makefile	Fri May 10 22:32:22 2013	(r317844)
@@ -2,9 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	converseen
-PORTVERSION=	0.5.3
+PORTVERSION=	0.6.2
 CATEGORIES=	graphics
-MASTER_SITES=	SF/${PORTNAME}/Converseen/Converseen%200.5/${PORTVERSION}
+MASTER_SITES=	SF/${PORTNAME}/Converseen/Converseen%200.6/
 
 MAINTAINER=	fernando.apesteguia@gmail.com
 COMMENT=	Easy to use graphics conversion utility

Modified: head/graphics/converseen/distinfo
==============================================================================
--- head/graphics/converseen/distinfo	Fri May 10 20:54:39 2013	(r317843)
+++ head/graphics/converseen/distinfo	Fri May 10 22:32:22 2013	(r317844)
@@ -1,2 +1,2 @@
-SHA256 (converseen-0.5.3.tar.bz2) = f7f16ff2e6f870272cf9137dc41e6650ade84c0c7c30d783c03a9ca8bd46a8d4
-SIZE (converseen-0.5.3.tar.bz2) = 213995
+SHA256 (converseen-0.6.2.tar.bz2) = a094f69454203c52107ba926b576fbed3ad5b3a2511a1127d9e4c54851bc3fb7
+SIZE (converseen-0.6.2.tar.bz2) = 220042

Modified: head/graphics/converseen/pkg-plist
==============================================================================
--- head/graphics/converseen/pkg-plist	Fri May 10 20:54:39 2013	(r317843)
+++ head/graphics/converseen/pkg-plist	Fri May 10 22:32:22 2013	(r317844)
@@ -1,18 +1,18 @@
 bin/converseen
 share/applications/converseen.desktop
-share/converseen/converseen_cs_CZ.qm
-share/converseen/converseen_de_DE.qm
-share/converseen/converseen_es_CL.qm
-share/converseen/converseen_fr_FR.qm
-share/converseen/converseen_hu_HU.qm
-share/converseen/converseen_it_IT.qm
-share/converseen/converseen_pl_PL.qm
-share/converseen/converseen_pt_BR.qm
-share/converseen/converseen_ru_RU.qm
-share/converseen/converseen_tr_TR.qm
+%%DATADIR%%/converseen_cs_CZ.qm
+%%DATADIR%%/converseen_de_DE.qm
+%%DATADIR%%/converseen_es_CL.qm
+%%DATADIR%%/converseen_fr_FR.qm
+%%DATADIR%%/converseen_hu_HU.qm
+%%DATADIR%%/converseen_it_IT.qm
+%%DATADIR%%/converseen_pt_BR.qm
+%%DATADIR%%/converseen_ru_RU.qm
+%%DATADIR%%/converseen_tr_TR.qm
 share/kde4/services/ServiceMenus/converseen_import.desktop
 share/pixmaps/converseen.png
 @dirrmtry share/kde4/services/ServiceMenus
 @dirrmtry share/kde4/services
 @dirrmtry share/kde4
-@dirrm share/converseen
+@dirrmtry share/applications
+@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Guido Falsi freebsd_committer 2013-05-10 23:33:35 UTC
State Changed
From-To: open->closed

Committed. Thanks!